Summary:        Delivery Context Library
Name:           deli
Version:        1.0
Release:        0.x050728.1jpp
Epoch:          0
License:        BSD
URL:            http://delicon.sourceforge.net
Group:          Development/Libraries
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        deli-x050728.zip

Patch0:		deli-build_xml.patch
Patch1:		deli-ExtendedStatement.patch


BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.5
BuildRequires:  antlr
BuildRequires:  servletapi4
BuildRequires:  httpunit
BuildRequires:  junit
BuildRequires:  jtidy
#
BuildRequires:  concurrent
BuildRequires:  icu4j
BuildRequires:  jakarta-commons-logging
BuildRequires:  jena
BuildRequires:  log4j
BuildRequires:  oro
BuildRequires:  servletapi4
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis

Requires:  concurrent
Requires:  icu4j
Requires:  jakarta-commons-logging
Requires:  jena
Requires:  log4j
Requires:  oro
Requires:  servletapi4
Requires:  xerces-j2
Requires:  xml-commons-apis

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Different web-enabled devices have different input, 
output, hardware, software, network and browser 
capabilities. In order for a web server or 
web-based application to provide optimized content 
to different clients it requires a description of 
the capabilities of the client known as the delivery 
context. Recently two new compatible standards 
have been created for describing delivery context: 
Composite Capabilities / Preferences Profile (CC/PP) 
created by the W3C and User Agent Profile (UAProf) 
created by the WAP Forum.
DELI is an open-source library developed at HP Labs 
that allows Java servlets to resolve HTTP requests 
containing delivery context information from CC/PP 
or UAProf capable devices and query the resolved 
profile. It also provides support for legacy devices 
so that the proprietary delivery context 
descriptions currently used by applications can be 
replaced by standardised CC/PP descriptions.



%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -c -n %{name}
find . -depth -name CVS -exec rm -rf {} \;
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
build-jar-repository -p -s lib \
icu4j \
oro \
antlr \
servletapi4 \
junit \
jena \
concurrent \
xerces-j2 \
xml-commons-apis \
log4j \
commons-logging \
httpunit \


build-jar-repository -p -s lib/buildTools \
junit \
httpunit \
jtidy \


%patch0 -b .sav
%patch1 -b .sav

%build
ant 

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
cp -p lib/%{name}Test.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}Test-%{version}.jar
cp -p lib/%{name}TestClient.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}TestClient-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# war
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/warfile
cp -p warfile/ccpp.war $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/warfile
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/config
cp -pr config/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/config
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/profiles
cp -pr profiles/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/profiles
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/stylesheets
cp -pr stylesheets/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/stylesheets

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp licenses/LICENSE.deli $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.deli
%{_datadir}/%{name}-%{version}
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Wed Oct 19 2005 Ralph Apel <r.apel@r-apel.de> - 0:1.0-0.x050728.1jpp
- First JPackage build
